Can't locate warnings.pm in @INC

Can't locate warnings.pm in @INC

Postby Malzi » Sun Oct 29, 2017 10:32 am

Hello together,

I have some problemes with Perl on exagear.
I installed exagear on a raspberrypi 3 due to install a teamspeakserver and i get some error messages...
If i want to add a user (sudo adduser xyz)the following message is print in the terminal :

Can't locate warnings.pm in @INC (you may need to install the warnings module)
(@INC contains: /etc/perl /usr/local/lib/i386-linux-gnu/perl/5.20.2 /usr/local/share/perl/5.20.2 /usr/lib/i386-linux-gnu/perl5/5.20 /usr/share/perl5 /usr/lib/i386-linux-gnu/perl/5.20 /usr/share/perl/5.20 /usr/local/lib/site_perl .)
at /usr/sbin/adduser line 32.


I get a error message too, if i want to upgrade the exagear environment with 'sudo apt-get upgrade' :

debconf: Perl may be unconfigured (Can't locate strict.pm in @INC (you may need to install the strict module) (@INC contains: /etc/perl /usr/local/lib/i386-linux-gnu/perl/5.20.2 /usr/local/share/perl/5.20.2 /usr/lib/i386-linux-gnu/perl5/5.20 /usr/share/perl5 /usr/lib/i386-linux-gnu/perl/5.20 /usr/share/perl/5.20 /usr/local/lib/site_perl .) at (eval 1) line 2. BEGIN failed--compilation aborted at (eval 1) line 2. ) -- aborting

the raspberrypi is running under debian 8 light.

It would be very nice, if somebody can help me :cry:
Malzi
 
Posts: 1
Joined: Sun Oct 29, 2017 10:19 am

Return to ExaGear Desktop

Who is online

Users browsing this forum: No registered users and 4 guests